%define oname urlgrabber

Summary: A high-level cross-protocol url-grabber
Name: python-%oname
Version: 3.10.1
Release: %mkrel 7
Source0: http://urlgrabber.baseurl.org/download/%{oname}-%{version}.tar.gz

# Patches from Fedora
Patch0:  BZ-1051554-speed-on-404-mirror.patch
License: LGPLv2+
Group: Development/Python
Url: http://urlgrabber.baseurl.org/
BuildRequires: python-devel
BuildRequires: python-curl
BuildArch: noarch
Requires: python-curl

%description
A high-level cross-protocol url-grabber.

Using urlgrabber, data can be fetched in three basic ways:

  urlgrab(url) copy the file to the local filesystem
  urlopen(url) open the remote file and return a file object (like
  urllib2.urlopen)
  urlread(url) return the contents of the file as a string

When using these functions (or methods), urlgrabber supports the following 
features:

  * identical behavior for http://, ftp://, and file:// urls
  * http keepalive - faster downloads of many files by using only a single 
    connection
  * byte ranges - fetch only a portion of the file
  * reget - for a urlgrab, resume a partial download
  * progress meters - the ability to report download progress automatically, 
    even when using urlopen!
  * throttling - restrict bandwidth usage
  * retries - automatically retry a download if it fails. The number of retries
    and failure types are configurable.
  * authenticated server access for http and ftp
  * proxy support - support for authenticated http and ftp proxies
  * mirror groups - treat a list of mirrors as a single source, automatically 
    switching mirrors if there is a failure.


%prep
%setup -q -n %oname-%version
%autopatch -p1

%build
%py2_build

%install
rm -rf %buildroot installed-docs
%py2_install
mv %buildroot%_datadir/doc/%oname-%version/ installed-docs


%files
%doc installed-docs/*
%{_bindir}/%oname
%{_libexecdir}/urlgrabber-ext-down
%{python_sitelib}/%oname/
%{python_sitelib}/*.egg-info


%changelog
* Sun May 08 2016 ngompa <ngompa> 3.10.1-7.mga6
+ Revision: 1010986
- Add patch from Fedora to fix failure on dead mirror (rhbz#1051554)

* Fri Feb 05 2016 umeabot <umeabot> 3.10.1-6.mga6
+ Revision: 939104
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.10.1-5.mga5
+ Revision: 744714
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.10.1-4.mga5
+ Revision: 729956
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.10.1-3.mga5
+ Revision: 688403
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Sat Mar 08 2014 philippem <philippem> 3.10.1-1.mga5
+ Revision: 601324
- update to 3.10.1

* Tue Oct 22 2013 umeabot <umeabot> 3.10-2.mga4
+ Revision: 544870
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 philippem <philippem> 3.10-1.mga4
+ Revision: 500420
- fix files list
- Update to 3.10

* Tue Oct 15 2013 pterjan <pterjan> 3.9.1-6.mga4
+ Revision: 499678
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 3.9.1-5.mga3
+ Revision: 379650
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 10 2011 ahmad <ahmad> 3.9.1-4.mga1
+ Revision: 67367
- imported package python-urlgrabber

